Skip to content

VoIP ​

56 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getCallBlockingProfiles_1GETGet call blocking profile list
createCallBlockingProfile_1POSTCreate new call blocking profile
modifyCallBlockingProfile_1PATCHModify a call blocking profile
deleteCallBlockingProfilePOSTDelete call blocking profile
deleteCallForwardingRule_1DELETEDelete call forwarding rules
modifyCallForwardingRule_1PATCHModify call forwarding rules
addCallForwardingRule_1POSTAdd call forwarding rules
getCallForwardingRulesGridGETGet call forwarding rules
getDigitMapProfilesGETGet digit map profile list
createDigitMapProfilePOSTCreate new digit map profile
modifyDigitMapProfilePATCHModify a digit map profile
deleteDigitMapProfilePOSTDelete digit map profile
getDndSettings_1GETGet DND settings
modifyDndSettings_1PATCHModify DND settings
getGridProviderProfileList_1GETGet the grid of provider profile list
createProviderProfile_1POSTCreate new provider profile
modifyProviderProfile_1PATCHModify a provider profile
deleteProviderProfilesPOSTDelete provider profile(s)
downloadVoiceMailGETGet voice mail
deleteTelephoneNumber_1DELETEDelete all voice mail
deleteVoipMailDELETEBatch delete voice mail
getVoipMailGridGETGet voice mail list
getVoipMailSettingsGETGet voice mail settings
setVoipMailSettingsPATCHEdit voice mail settings
getUsbInfoGETGet USB info
getVoipDeviceListGETGet Voip Device List
modifyVoipDeviceSettingPATCHModify Voip Device AP Setting
bindTelephoneNumberPOSTBind Telephone Number
getTelephoneNumberRegistrationResultsGETGet Telephone Number Registration Results
deleteTelephoneNumberPOSTDelete Telephone Number
batchModifyVoipDeviceSettingPATCHBatch Modify Voip Device Setting
getAllCallBlockingProfilesGETGet All Call Blocking Profiles
getAllDigitMapProfilesGETGet All Digit Map Profiles
getGridTelephoneNumberRegistrationResultsGETGet Grid of Telephone Number Registration Results
modifyVoipDeviceOsgSettingPATCHModify Voip Device OSG Setting
getGridSimplifiedVoipDevicesGETGet Grid of Simplified VoIP Devices
getTelephoneNumberBatchConfigListGETGet Telephone Number Config List
updateTelephoneNumberListPATCHUpdate Telephone Number List
exportTelephoneNumberListToFileGETExport telephone number list to file
importTelephoneNumberListFromFilePOSTImport telephone number list from file
downloadTelephoneNumberImportResultGETDownload telephone number list import result
getVoipCallLogGETGet Voip CallLog Data List
getVoipCallLogEnable_1GETGet Voip CallLog Setting
modifyVoipCallLogEnable_1POSTModify Voip CallLog Setting
clearVoipCallLogDELETEDelete Voip CallLog Data List
getVoipEmergency_1GETGet Voip Emergency Number Info
modifyVoipEmergency_1PATCHModify Voip Emergency Number Setting
getVoipTelephoneBookGETGet Voip TelephoneBook List
createVoipTelephoneBookPOSTCreate New Contact Person
deleteVoipTelephoneBookDELETEDelete Contact Person
modifyVoipTelephoneBookPATCHModify Contact Person
batchDeleteVoipTelephoneBookPOSTBatch Delete Contact Person
getDigitMapProfilesTemplateGETGet digit map profile list template
createDigitMapProfileTemplatePOSTCreate new digit map profile template
modifyDigitMapProfileTemplatePATCHModify a digit map profile template
deleteDigitMapProfileTemplatePOSTDelete digit map profile template

getCallBlockingProfiles_1 ​

GET /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/call-blocking

Get call blocking profile list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getCallBlockingProfiles_1",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get call blocking profile list.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only

createCallBlockingProfile_1 ​

POST /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/call-blocking

Create new call blocking profile

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema CreateCallBlockingProfileEntity

FieldTypeRequiredDescription
profileNamestringyesCall blocking profile name
incomingCallsBlockingEnablebooleannoEnable incoming calls blocking or not. The default value is false.
incomingCallsBlockingIncomingCallsBlockingVOno(IncomingCallsBlockingVO not expanded; call omada_get_schema "IncomingCallsBlockingVO")
outgoingCallsBlockingEnablebooleannoEnable outgoing calls blocking or not. The default value is false.
outgoingCallsBlockingOutgoingCallsBlockingVOno(OutgoingCallsBlockingVO not expanded; call omada_get_schema "OutgoingCallsBlockingVO")
json
// omada_call_operation
{
  "operationId": "createCallBlockingProfile_1",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new call blocking profile.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

modifyCallBlockingProfile_1 ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/call-blocking/{profileId}

Modify a call blocking profile

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
profileIdpathstringyesProfile ID

Request body — application/json (required) — schema ModifyCallBlockingProfileEntity

FieldTypeRequiredDescription
profileNamestringnoCall blocking profile name
incomingCallsBlockingEnablebooleannoEnable incoming calls blocking or not. The default value is false.
incomingCallsBlockingIncomingCallsBlockingVOno(IncomingCallsBlockingVO not expanded; call omada_get_schema "IncomingCallsBlockingVO")
outgoingCallsBlockingEnablebooleannoEnable outgoing calls blocking or not. The default value is false.
outgoingCallsBlockingOutgoingCallsBlockingVOno(OutgoingCallsBlockingVO not expanded; call omada_get_schema "OutgoingCallsBlockingVO")
json
// omada_call_operation
{
  "operationId": "modifyCallBlockingProfile_1",
  "params": {
    "siteId": "<siteId>",
    "profileId": "<profileId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify a call blocking profile.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

deleteCallBlockingProfile ​

POST /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/call-blocking/delete

Delete call blocking profile

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema DeleteCallBlockingProfileEntity

FieldTypeRequiredDescription
profileIdstringyesProfile ID
skipConfirmbooleanyesskipConfirm indicates whether to skip the query of the devices bound to call blocking profile. false: Not to skip the query. true: Skip the query and delete the call blocking profile corresponding to the profileId.
json
// omada_call_operation
{
  "operationId": "deleteCallBlockingProfile",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Delete call blocking profile.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

deleteCallForwardingRule_1 ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/call-forwarding

Delete call forwarding rules

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema DeleteCallForwardingRules

FieldTypeRequiredDescription
ruleIdsarray<string>noIds of call forwarding rules to be deleted.
json
// omada_call_operation
{
  "operationId": "deleteCallForwardingRule_1",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Delete call forwarding rules
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

modifyCallForwardingRule_1 ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/call-forwarding

Modify call forwarding rules

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema CallForwardingRule

FieldTypeRequiredDescription
omadacIdstringnoOmadac ID
siteIdstringnoSite ID
ruleIdstringnoCall forwarding rule id
enablebooleanyesEnable this rule or not
conditionintegeryesForwarding condition. 0- no answer, 1- unconditional
typeintegeryesThe call type to be forwarded. 0: All Incoming Calls - If this option is selected, all incoming calls will be forwarded. 1: Calls to the Telephone Number - If this option is selected, select a telephone number from the list. Any incoming calls to this number will be forwarded. 2: Calls to the Phone - If this option is selected, select a telephony device from the list. Any incoming calls to this device will be forwarded. 3: Calls from a Person in the Telephone Book - If this option is selected, select a contact from the list. Any incoming calls from this contact will be forwarded. 4: Calls from the Telephone Number - If this option is selected, enter a specific telephone number. Any incoming calls from this number will be forwarded.
toNumbersarray<string>noAny incoming calls to these numbers will be forwarded.
toDevicesarray<integer>noAny incoming calls to these devices will be forwarded.
fromPersonsarray<string>noAny incoming calls from these contacts will be forwarded.
fromNumbersarray<string>noAny incoming calls from these numbers will be forwarded.
forwardViastringno"Auto" by default.
destNumberstringyesThe Destination Telephone Number that incoming calls will be redirected to.
json
// omada_call_operation
{
  "operationId": "modifyCallForwardingRule_1",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify call forwarding rules
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

addCallForwardingRule_1 ​

POST /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/call-forwarding

Add call forwarding rules

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema CallForwardingRule

FieldTypeRequiredDescription
omadacIdstringnoOmadac ID
siteIdstringnoSite ID
ruleIdstringnoCall forwarding rule id
enablebooleanyesEnable this rule or not
conditionintegeryesForwarding condition. 0- no answer, 1- unconditional
typeintegeryesThe call type to be forwarded. 0: All Incoming Calls - If this option is selected, all incoming calls will be forwarded. 1: Calls to the Telephone Number - If this option is selected, select a telephone number from the list. Any incoming calls to this number will be forwarded. 2: Calls to the Phone - If this option is selected, select a telephony device from the list. Any incoming calls to this device will be forwarded. 3: Calls from a Person in the Telephone Book - If this option is selected, select a contact from the list. Any incoming calls from this contact will be forwarded. 4: Calls from the Telephone Number - If this option is selected, enter a specific telephone number. Any incoming calls from this number will be forwarded.
toNumbersarray<string>noAny incoming calls to these numbers will be forwarded.
toDevicesarray<integer>noAny incoming calls to these devices will be forwarded.
fromPersonsarray<string>noAny incoming calls from these contacts will be forwarded.
fromNumbersarray<string>noAny incoming calls from these numbers will be forwarded.
forwardViastringno"Auto" by default.
destNumberstringyesThe Destination Telephone Number that incoming calls will be redirected to.
json
// omada_call_operation
{
  "operationId": "addCallForwardingRule_1",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Add call forwarding rules
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

getCallForwardingRulesGrid ​

GET /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/call-forwarding/grid

Get call forwarding rules

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getCallForwardingRulesGrid",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get call forwarding rules
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only

getDigitMapProfiles ​

GET /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/digit-map

Get digit map profile list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getDigitMapProfiles",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get digit map profile list.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only

createDigitMapProfile ​

POST /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/digit-map

Create new digit map profile

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema CreateDigitMapProfileEntity

FieldTypeRequiredDescription
profileNamestringyesDigit map profile name
digitMapstringyesDigit map
json
// omada_call_operation
{
  "operationId": "createDigitMapProfile",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new digit map profile.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

modifyDigitMapProfile ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/digit-map/{profileId}

Modify a digit map profile

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
profileIdpathstringyesProfile ID. Default digit map profile cannot be modified.

Request body — application/json (required) — schema ModifyDigitMapProfileEntity

FieldTypeRequiredDescription
profileNamestringnoDigit map profile name
digitMapstringnoDigit map
json
// omada_call_operation
{
  "operationId": "modifyDigitMapProfile",
  "params": {
    "siteId": "<siteId>",
    "profileId": "<profileId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify a digit map profile.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

deleteDigitMapProfile ​

POST /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/digit-map/delete

Delete digit map profile

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema DeleteDigitMapProfileEntity

FieldTypeRequiredDescription
profileIdstringyesProfile ID. Default digit map profile cannot be deleted.
skipConfirmbooleanyesskipConfirm indicates whether to skip the query of the devices bound to digit map profile. false: Not to skip the query. true: Skip the query and delete the digit map profile corresponding to the profileId.
json
// omada_call_operation
{
  "operationId": "deleteDigitMapProfile",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Delete digit map profile.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

getDndSettings_1 ​

GET /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/dnd/settings

Get DND settings

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getDndSettings_1",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get DND settings
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only

modifyDndSettings_1 ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/dnd/settings

Modify DND settings

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema DndSettingEntity

FieldTypeRequiredDescription
omadacIdstringnoOmadac ID
siteIdstringnoSite ID
enablebooleanyesEnable DND or not
dayModeintegernoThe days you want to block the incoming calls. 1-daily,2-weekend,3-weekday
timeBeginintegernoThe start time of the DND period you want to block incoming calls. It should be an integer value between 0 and 1438.
timeEndintegernoThe end time of the DND period you want to block incoming calls. It should be an integer value between 1 and 1439.
json
// omada_call_operation
{
  "operationId": "modifyDndSettings_1",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify DND settings
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

getGridProviderProfileList_1 ​

GET /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/grid/provider-profiles

Get the grid of provider profile list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridProviderProfileList_1",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get the grid of provider profile list.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only

createProviderProfile_1 ​

POST /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/provider-profiles

Create new provider profile

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema CreateProviderProfileEntity

FieldTypeRequiredDescription
profileNamestringyesProvider profile name
providerSettingsProviderSettingVOyes(ProviderSettingVO not expanded; call omada_get_schema "ProviderSettingVO")
json
// omada_call_operation
{
  "operationId": "createProviderProfile_1",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new provider profile.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

modifyProviderProfile_1 ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/provider-profiles/{profileId}

Modify a provider profile

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
profileIdpathstringyesProfile ID

Request body — application/json (required) — schema ModifyProviderProfileEntity

FieldTypeRequiredDescription
profileNamestringnoProvider profile name
providerSettingsModifyProviderSettingOpenApiVOno(ModifyProviderSettingOpenApiVO not expanded; call omada_get_schema "ModifyProviderSettingOpenApiVO")
json
// omada_call_operation
{
  "operationId": "modifyProviderProfile_1",
  "params": {
    "siteId": "<siteId>",
    "profileId": "<profileId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify a provider profile.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

deleteProviderProfiles ​

POST /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/provider-profiles/delete

Delete provider profile(s)

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema ConfirmBindedDevicesEntity

FieldTypeRequiredDescription
profileIdsarray<string>yesProvider profile IDs
skipConfirmbooleanyesskipConfirm indicates whether to skip the query of the devices bound to provider profiles. false: Not to skip the query. true: Skip the query and delete the provider profiles corresponding to the profileIds.
json
// omada_call_operation
{
  "operationId": "deleteProviderProfiles",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Delete provider profile(s).
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

downloadVoiceMail ​

GET /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voice-mail/{voiceId}/download

Get voice mail

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
voiceIdpathstringyesVoice ID
json
// omada_call_operation
{
  "operationId": "downloadVoiceMail",
  "params": {
    "siteId": "<siteId>",
    "voiceId": "<voiceId>"
  }
}
Details, permissions and error codes

Get voice mail
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only

deleteTelephoneNumber_1 ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voice-mail/all

Delete all voice mail

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "deleteTelephoneNumber_1",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Delete all voice mail
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

deleteVoipMail ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voice-mail/batch-delete

Batch delete voice mail

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema VoiceMailBatchDelete

FieldTypeRequiredDescription
voiceMailListarray<string>yesVoice mail list.
json
// omada_call_operation
{
  "operationId": "deleteVoipMail",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch delete voice mail
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

getVoipMailGrid ​

GET /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voice-mail/grid

Get voice mail list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getVoipMailGrid",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get voice mail list
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only

getVoipMailSettings ​

GET /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voice-mail/settings

Get voice mail settings

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getVoipMailSettings",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get voice mail settings
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only

setVoipMailSettings ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voice-mail/settings

Edit voice mail settings

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema VoiceMailSettingRequest

FieldTypeRequiredDescription
omadacIdstringnoOmadac ID.
siteIdstringnoSite ID.
noAnswerTimeintegernoThe no answer time of telephone number. Parameter [noAnswerTime] should be from 5 to 60
remoteAccessPinstringnoRemote access pin.
voiceMailInUsbbooleannoWhether voice mail is in USB.
greetingForVoiceMailModeintegernoParameter [greetingForVoiceMailMode] should be 0 or 1. 0: Default, 1: Custom.
greetingNamestringnoGreeting name.
usbUuidstringnoUSB UUID.
voiceMailCapacityintegernoThe capacity of voice mail.
enablebooleanyesWhether to enable voice mail settings.
remoteAccessEnablebooleannoWhether voice mail allows remote access.
durationintegernoParameter [duration] should be from 20 to 120.
json
// omada_call_operation
{
  "operationId": "setVoipMailSettings",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Edit voice mail settings
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

getUsbInfo ​

GET /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voice-mail/settings/usbInfo

Get USB info

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getUsbInfo",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get USB info
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only

getVoipDeviceList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voip-devices

Get Voip Device List

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getVoipDeviceList",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get Voip Device List.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only

modifyVoipDeviceSetting ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voip-devices/{deviceMac}

Modify Voip Device AP Setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema ModifyVoipDeviceApSettingEntity

FieldTypeRequiredDescription
voipDeviceApConfigurationVoipDeviceApConfigurationOpenApiVOno(VoipDeviceApConfigurationOpenApiVO not expanded; call omada_get_schema "VoipDeviceApConfigurationOpenApiVO")
telephoneNumberAdvancedSettingTelephoneNumberAdvancedSettingApOpenApiVOno(TelephoneNumberAdvancedSettingApOpenApiVO not expanded; call omada_get_schema "TelephoneNumberAdvancedSettingApOpenApiVO")
skipConfirmbooleanyesskipConfirm indicates whether to skip the query of "#'s conflict" of voip device settings. false: Not to skip the query. true: Skip the query and the device will give priority to the "end with #" configuration.
json
// omada_call_operation
{
  "operationId": "modifyVoipDeviceSetting",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify Voip Device AP Setting.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

bindTelephoneNumber ​

POST /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voip-devices/{deviceMac}/bind-telephone-number

Bind Telephone Number

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema BindNumberList

FieldTypeRequiredDescription
bindNumberListarray<TelephoneNumberWithoutStatusOpenApiVO>yesThe list of telephone number without status.
json
// omada_call_operation
{
  "operationId": "bindTelephoneNumber",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Bind Telephone Number.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

getTelephoneNumberRegistrationResults ​

GET /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voip-devices/{deviceMac}/registration-result

Get Telephone Number Registration Results

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getTelephoneNumberRegistrationResults",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get Telephone Number Registration Results.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only

deleteTelephoneNumber ​

POST /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voip-devices/{deviceMac}/telephone-number/{phoneNumberId}

Delete Telephone Number

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
phoneNumberIdpathstringyesphone Number ID

Request body — application/json (required) — schema DeleteTelephoneNumber

FieldTypeRequiredDescription
forceDeletebooleanyesOther configurations depending on this number (call forwarding rules for instance) will be deleted together if this field is true. Otherwise, a pre-check will be executed and an error message will be returned when this number is already used in some other configurations.
json
// omada_call_operation
{
  "operationId": "deleteTelephoneNumber",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>",
    "phoneNumberId": "<phoneNumberId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Delete Telephone Number.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

batchModifyVoipDeviceSetting ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voip-devices/batch-modify

Batch Modify Voip Device Setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema BatchModifyVoipDeviceSettingEntity

FieldTypeRequiredDescription
deviceMacListarray<string>yesDevice MAC list.
voipDeviceConfigurationBatchModifyVoipDeviceConfigurationEntityno(BatchModifyVoipDeviceConfigurationEntity not expanded; call omada_get_schema "BatchModifyVoipDeviceConfigurationEntity")
telephoneNumberAdvancedSettingTelephoneNumberAdvancedSettingApOpenApiVOno(TelephoneNumberAdvancedSettingApOpenApiVO not expanded; call omada_get_schema "TelephoneNumberAdvancedSettingApOpenApiVO")
skipConfirmbooleanyesskipConfirm indicates whether to skip the query of "#'s conflict" of voip device settings. false: Not to skip the query. true: Skip the query and the device(s) will give priority to the "end with #" configuration.
json
// omada_call_operation
{
  "operationId": "batchModifyVoipDeviceSetting",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch modify VoIP device setting.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

getAllCallBlockingProfiles ​

GET /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voip-devices/call-blocking

Get All Call Blocking Profiles

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getAllCallBlockingProfiles",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get All Call Blocking Profiles.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only

getAllDigitMapProfiles ​

GET /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voip-devices/digit-map

Get All Digit Map Profiles

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getAllDigitMapProfiles",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get All Digit Map Profiles.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only

getGridTelephoneNumberRegistrationResults ​

GET /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voip-devices/grid/telephone-number

Get Grid of Telephone Number Registration Results

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridTelephoneNumberRegistrationResults",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get Grid of Telephone Number Registration Results.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
Site Device Manager View Only

modifyVoipDeviceOsgSetting ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voip-devices/osg/{deviceMac}

Modify Voip Device OSG Setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema ModifyVoipDeviceOsgSettingEntity

FieldTypeRequiredDescription
voipDeviceOsgConfigurationVoipDeviceOsgConfigurationOpenApiVOno(VoipDeviceOsgConfigurationOpenApiVO not expanded; call omada_get_schema "VoipDeviceOsgConfigurationOpenApiVO")
telephoneNumberAdvancedSettingTelephoneNumberAdvancedSettingOsgOpenApiVOno(TelephoneNumberAdvancedSettingOsgOpenApiVO not expanded; call omada_get_schema "TelephoneNumberAdvancedSettingOsgOpenApiVO")
skipConfirmbooleanyesskipConfirm indicates whether to skip the query of "#'s conflict" of voip device settings. false: Not to skip the query. true: Skip the query and the device will give priority to the "end with #" configuration.
json
// omada_call_operation
{
  "operationId": "modifyVoipDeviceOsgSetting",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify Voip Device OSG Setting.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

getGridSimplifiedVoipDevices ​

GET /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voip-devices/simplied-list

Get Grid of Simplified VoIP Devices

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridSimplifiedVoipDevices",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get Grid of Simplified VoIP Devices.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

getTelephoneNumberBatchConfigList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voip-devices/telephone-number/batch-config-list

Get Telephone Number Config List

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getTelephoneNumberBatchConfigList",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get Telephone Number Config List.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

updateTelephoneNumberList ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voip-devices/telephone-number/batch-config-list

Update Telephone Number List

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema TelephoneNumberListUpdateOpenApiVO

FieldTypeRequiredDescription
addTelephoneNumbersarray<TelephoneNumberWithoutStatusOpenApiVO>noTelephone numbers to be added.
deleteTelephoneNumberIdsarray<string>noTelephone number IDs to be deleted.
modifyTelephoneNumbersarray<TelephoneNumberWithoutStatusOpenApiVO>noTelephone numbers to be modified.
json
// omada_call_operation
{
  "operationId": "updateTelephoneNumberList",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Update Telephone Number List.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-35631 - Modification succeeded. Duplicate numbers for the same device has been removed.

exportTelephoneNumberListToFile ​

GET /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voip-devices/telephone-number/export

Export telephone number list to file

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "exportTelephoneNumberListToFile",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Export existed telephone number list to file.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1005 - Operation forbidden.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

importTelephoneNumberListFromFile ​

POST /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voip-devices/telephone-number/import

Import telephone number list from file

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (optional)

FieldTypeRequiredDescription
filestring (binary)yes
json
// omada_call_operation
{
  "operationId": "importTelephoneNumberListFromFile",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Import telephone number list from existed file.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-33712 - This file is empty.
-33713 - Failed to process the files.
-34528 - Invalid user file format due to number of delimiters. Please check the file and import again.
-34533 - The uploaded file contains wrong-format content. Please download the error messages, modify your file as required and re-upload it.
-34544 - The format of the import file must be csv.
-35630 - Import succeeded. Some existing phone number configurations have been updated to the configurations in the CSV file.

downloadTelephoneNumberImportResult ​

GET /openapi/v1/{omadacId}/sites/{siteId}/setting/voip/voip-devices/telephone-number/import-result

Download telephone number list import result

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "downloadTelephoneNumberImportResult",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Download telephone number list import result. When the API [Import telephone number list from file] returns error code 0, it means that the configuration in the CSV file is correct and there is no need to call the API.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-35635 - The error message file has expired and cannot be downloaded, or there is no error message.

getVoipCallLog ​

GET /openapi/v1/{omadacId}/sites/{siteId}/voip/call-log

Get Voip CallLog Data List

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
sorts.dateTimequerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
filters.statusquerystringnoFilter query parameters, support field status: 0: incoming, 1: outgoing, 3: transfer, 4: miss,5: rejected
searchKeyquerystringnoFuzzy query parameters, support field deviceNumber/telephonyDevice
json
// omada_call_operation
{
  "operationId": "getVoipCallLog",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get Voip CallLog Data List.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only

getVoipCallLogEnable_1 ​

GET /openapi/v1/{omadacId}/sites/{siteId}/voip/call-log-enable

Get Voip CallLog Setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getVoipCallLogEnable_1",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get Voip CallLog Setting.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only

modifyVoipCallLogEnable_1 ​

POST /openapi/v1/{omadacId}/sites/{siteId}/voip/call-log-enable

Modify Voip CallLog Setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema VoipCallLogEnableSetting

FieldTypeRequiredDescription
callLogEnablebooleanyesWhether to enable the call log.
json
// omada_call_operation
{
  "operationId": "modifyVoipCallLogEnable_1",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify Voip CallLog Setting.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

clearVoipCallLog ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/voip/call-log/delete-all

Delete Voip CallLog Data List

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "clearVoipCallLog",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Delete Voip CallLog Data List.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

getVoipEmergency_1 ​

GET /openapi/v1/{omadacId}/sites/{siteId}/voip/emergency-number-settings

Get Voip Emergency Number Info

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getVoipEmergency_1",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get Voip Emergency Number Info.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only

modifyVoipEmergency_1 ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/voip/emergency-number-settings

Modify Voip Emergency Number Setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema VoipEmergencyNumberSetting

FieldTypeRequiredDescription
emergencyNumberEnablebooleanyesWhether to enable the emergency number.
noOperationTimeintegernoNo operation time should be within the range of 2-8s.
emergencyNumbersarray<string>noEmergency number list.
json
// omada_call_operation
{
  "operationId": "modifyVoipEmergency_1",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify Voip Emergency Number Setting.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

getVoipTelephoneBook ​

GET /openapi/v1/{omadacId}/sites/{siteId}/voip/telephone-book

Get Voip TelephoneBook List

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getVoipTelephoneBook",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get Voip TelephoneBook List.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only

createVoipTelephoneBook ​

POST /openapi/v1/{omadacId}/sites/{siteId}/voip/telephone-book

Create New Contact Person

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema VoipContactPersonSettings

FieldTypeRequiredDescription
firstNamestringnoThe firstName of contact person. It should contain 0 to 64 characters.
lastNamestringnoThe lastName of contact person. It should contain 0 to 64 characters.
privatePhoneNumberstringnoThe privatePhoneNumber of contact person.
workPhoneNumberstringnoThe workPhoneNumber of contact person.
mobilePhoneNumberstringnoThe mobilePhoneNumber of contact person.
speedDialEnablebooleannoWhether to enable the speedDial.
speedDialNumberTypeintegernospeedDialNumberType should be a value as follows: 0: Private Phone Number; 1: Work Phone Number; 2: Mobile Phone Number.
speedDialNumberstringnoThe speedDialNumber of contact person.
json
// omada_call_operation
{
  "operationId": "createVoipTelephoneBook",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create New Contact Person.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35615 - The number of Telephone book has reached the limit.
-35616 - The contact person's number combination already exists.

deleteVoipTelephoneBook ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/voip/telephone-book/{contactId}

Delete Contact Person

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
contactIdpathstringyesVoip Contact Person ID

Request body — application/json (required) — schema VoipDeleteTelephoneBook

FieldTypeRequiredDescription
forceDeletebooleanyesOther configurations depending on this contact (call forwarding rules for instance) will be deleted together if this field is true. Otherwise, a pre-check will be executed and an error message will be returned when this contact is already used in some other configurations.
json
// omada_call_operation
{
  "operationId": "deleteVoipTelephoneBook",
  "params": {
    "siteId": "<siteId>",
    "contactId": "<contactId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Delete Contact Person.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

modifyVoipTelephoneBook ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/voip/telephone-book/{contactId}

Modify Contact Person

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
contactIdpathstringyesVoip Contact Person ID

Request body — application/json (required) — schema VoipContactPersonSettings

FieldTypeRequiredDescription
firstNamestringnoThe firstName of contact person. It should contain 0 to 64 characters.
lastNamestringnoThe lastName of contact person. It should contain 0 to 64 characters.
privatePhoneNumberstringnoThe privatePhoneNumber of contact person.
workPhoneNumberstringnoThe workPhoneNumber of contact person.
mobilePhoneNumberstringnoThe mobilePhoneNumber of contact person.
speedDialEnablebooleannoWhether to enable the speedDial.
speedDialNumberTypeintegernospeedDialNumberType should be a value as follows: 0: Private Phone Number; 1: Work Phone Number; 2: Mobile Phone Number.
speedDialNumberstringnoThe speedDialNumber of contact person.
json
// omada_call_operation
{
  "operationId": "modifyVoipTelephoneBook",
  "params": {
    "siteId": "<siteId>",
    "contactId": "<contactId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify Contact Person.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35615 - The number of Telephone book has reached the limit.
-35616 - The contact person's number combination already exists.

batchDeleteVoipTelephoneBook ​

POST /openapi/v1/{omadacId}/sites/{siteId}/voip/telephone-book/batch-delete

Batch Delete Contact Person

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema VoipTelephoneBookBatchSetting

FieldTypeRequiredDescription
contactIdsarray<string>yesDelete the contact ID of contact person.
selectTypestringyesSpeedDialNumberType should be a value as follows: all, include, exclude.
forceDeletebooleanyesOther configurations depending on selected contacts (call forwarding rules for instance) will be deleted together if this field is true. Otherwise, a pre-check will be executed and an error message will be returned when this contact is already used in some other configurations.
json
// omada_call_operation
{
  "operationId": "batchDeleteVoipTelephoneBook",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch Delete Contact Person.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

getDigitMapProfilesTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/voip/digit-map

Get digit map profile list template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite ID
json
// omada_call_operation
{
  "operationId": "getDigitMapProfilesTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get digit map profile list template.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only

createDigitMapProfileTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/voip/digit-map

Create new digit map profile template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite ID

Request body — application/json (required) — schema CreateDigitMapProfileEntity

FieldTypeRequiredDescription
profileNamestringyesDigit map profile name
digitMapstringyesDigit map
json
// omada_call_operation
{
  "operationId": "createDigitMapProfileTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new digit map profile template.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

modifyDigitMapProfileTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/voip/digit-map/{profileId}

Modify a digit map profile template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite ID
profileIdpathstringyesProfile ID. Default digit map profile cannot be modified.

Request body — application/json (required) — schema ModifyDigitMapProfileEntity

FieldTypeRequiredDescription
profileNamestringnoDigit map profile name
digitMapstringnoDigit map
json
// omada_call_operation
{
  "operationId": "modifyDigitMapProfileTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "profileId": "<profileId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify a digit map profile template.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

deleteDigitMapProfileTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/voip/digit-map/delete

Delete digit map profile template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite ID

Request body — application/json (required) — schema DeleteDigitMapProfileEntity

FieldTypeRequiredDescription
profileIdstringyesProfile ID. Default digit map profile cannot be deleted.
skipConfirmbooleanyesskipConfirm indicates whether to skip the query of the devices bound to digit map profile. false: Not to skip the query. true: Skip the query and delete the digit map profile corresponding to the profileId.
json
// omada_call_operation
{
  "operationId": "deleteDigitMapProfileTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Delete digit map profile template.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify

Released under the MIT License. Not affiliated with or endorsed by TP-Link.